nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectTrackInfo0 Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IObjectTrackInfo0:

## Public Member Functions
Ptr< IList< ITimestampedObjectMetadata > > | track () const
Ptr< IUncompressedVideoFrame > | bestShotVideoFrame () const
Ptr< ITimestampedObjectMetadata > | bestShotObjectMetadata () const
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Protected Member Functions
virtual IList< ITimestampedObjectMetadata > * | getTrack () const =0
virtual IUncompressedVideoFrame * | getBestShotVideoFrame () const =0
virtual ITimestampedObjectMetadata * | getBestShotObjectMetadata () const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Additional Inherited Members
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ bestShotObjectMetadata()

Ptr<ITimestampedObjectMetadata> nx::sdk::analytics::IObjectTrackInfo0::bestShotObjectMetadata | ( |  | ) | const
| inline

Returns
  Metadata for the position in the object track defined to be the Best Shot by the DeviceAgent that generated this track, or, if such information is not available, the first metadata of the object track. Returns null if the required metadata is not available, or obtaining such a metadata was not requested by the Engine manifest.

## ◆ bestShotVideoFrame()

Ptr<IUncompressedVideoFrame> nx::sdk::analytics::IObjectTrackInfo0::bestShotVideoFrame | ( |  | ) | const
| inline

Returns
  Frame defined to be the Best Shot in the Object Track by the DeviceAgent that generated this track, or, if such information is not available, the first frame of the object track. Returns null if the required frame is not available, or obtaining such a frame was not requested by the Engine manifest.

## ◆ getBestShotObjectMetadata()

virtual ITimestampedObjectMetadata* nx::sdk::analytics::IObjectTrackInfo0::getBestShotObjectMetadata | ( |  | ) | const
| protectedpure virtual

Called by bestShotObjectMetadata()

## ◆ getBestShotVideoFrame()

virtual IUncompressedVideoFrame* nx::sdk::analytics::IObjectTrackInfo0::getBestShotVideoFrame | ( |  | ) | const
| protectedpure virtual

Called by bestShotVideoFrame()

## ◆ getTrack()

virtual IList<ITimestampedObjectMetadata>* nx::sdk::analytics::IObjectTrackInfo0::getTrack | ( |  | ) | const
| protectedpure virtual

Called by track()

## ◆ track()

Ptr<IList<ITimestampedObjectMetadata> > nx::sdk::analytics::IObjectTrackInfo0::track | ( |  | ) | const
| inline

Returns
  List of metadata that share the same trackId.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_info.h